Name:           jxrlib
Version:        1.1
Release:    1%{?dist}
Summary:        Open source implementation of jpegxr

License:        BSD
URL:            https://jxrlib.codeplex.com/
Source0:        http://jxrlib.codeplex.com/downloads/get/685249#/jxrlib_%(echo %{version} | tr . _).tar.gz
Source1:        CMakeLists.txt
Source2:        JPEGXR_DPK_Spec_1.0.pdf

Patch0:         jxrlib_warnings.patch
Patch1:         jxrlib_mingw.patch

BuildRequires:  cmake
BuildRequires:  gcc

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc


%description
This is an open source implementation of the jpegxr image format standard.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package -n mingw32-%{name}
Summary:       MinGW Windows JPEG XR library
BuildArch:     noarch

%description -n mingw32-%{name}
MinGW Windows JPEG XR library.


%package -n mingw64-%{name}
Summary:       MinGW Windows JPEG XR library
BuildArch:     noarch

%description -n mingw64-%{name}
MinGW Windows JPEG XR library.


%{?mingw_debug_package}


%prep
%setup -q -n %{name}

for file in `find . -type f -name '*.c' -or -name '*.h' -or -name '*.txt'`; do
  iconv --from=ISO-8859-15 --to=UTF-8 $file > $file.new && \
  sed -i 's|\r||g' $file.new && \
  touch -r $file $file.new && mv $file.new $file
done

%patch0 -p1
%patch1 -p1

rm -rf bin

cp -a %{SOURCE1} .
cp -a %{SOURCE2} doc


%build
%cmake
%cmake_build

%mingw_cmake
%mingw_make_build


%install
%cmake_install
%mingw_make_install

rm -f %{buildroot}%{mingw32_includedir}/jxrlib/guiddef.h
rm -f %{buildroot}%{mingw64_includedir}/jxrlib/guiddef.h


%mingw_debug_install_post


%files
%doc doc/readme.txt doc/JPEGXR_DPK_Spec_1.0.pdf
%{_bindir}/JxrEncApp
%{_bindir}/JxrDecApp
%{_libdir}/libjpegxr.so.*
%{_libdir}/libjxrglue.so.*

%files devel
%{_includedir}/jxrlib/
%{_libdir}/libjpegxr.so
%{_libdir}/libjxrglue.so

%files -n mingw32-%{name}
%{mingw32_bindir}/libjpegxr.dll
%{mingw32_bindir}/libjxrglue.dll
%{mingw32_bindir}/JxrDecApp.exe
%{mingw32_bindir}/JxrEncApp.exe
%{mingw32_includedir}/jxrlib/
%{mingw32_libdir}/libjpegxr.dll.a
%{mingw32_libdir}/libjxrglue.dll.a

%files -n mingw64-%{name}
%{mingw64_bindir}/libjpegxr.dll
%{mingw64_bindir}/libjxrglue.dll
%{mingw64_bindir}/JxrDecApp.exe
%{mingw64_bindir}/JxrEncApp.exe
%{mingw64_includedir}/jxrlib/
%{mingw64_libdir}/libjpegxr.dll.a
%{mingw64_libdir}/libjxrglue.dll.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-1
- initial build
